package kafka.example;

import org.apache.commons.compress.utils.IOUtils;

import java.io.*;

public class Utils {
    enum Environment {
        DEV,
        PRE,
        PRO
    }
    static final String SASL_CREDENTIALS = "org.apache.kafka.common.security.scram.ScramLoginModule required username=\"%s\" password=\"%s\";";
    static String getTmpTrustStore(Environment environment) {
        OutputStream out = null;
        InputStream trustStoreInput = null;
        try {
            trustStoreInput = Utils.class.getResourceAsStream("/"+ environment.toString() +".kafka.client.truststore.jks");

            File trustStore = File.createTempFile("qa-kafka-tool-", ".tmp");
            trustStore.deleteOnExit();

            out = new FileOutputStream(trustStore);

            assert trustStoreInput != null;
            IOUtils.copy(trustStoreInput, new FileOutputStream(trustStore));
            return trustStore.getAbsolutePath();

        } catch (IOException | NullPointerException e) {
            e.printStackTrace();
        } finally {
            try {
                if (trustStoreInput != null) trustStoreInput.close();
                if (out != null) out.close();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
        return null;
    }
}
